Doomsday Engine - Bug #2367

[Unix] If directory "/usr/share/doomsday/data” exists, core packages not found
2019-12-11 06:09 - skyjake

Status: New Start date: 2019-12-11
Priority: Low % Done: 0%
Assignee: skyjake

Category: Defect

Target version: 2.3.x

Description

The Unix builds normally use /usr/share/doomsday as the base directory. If one manually creates a data/ subdirectory in there,
Doomsday cannot find the core packages that get installed in the base directory.

This is because the presence of a data subdirectory is specifically checked for in app.cpp directory mappings, and it overrides the
default /data folder.

See discussion: https:/talk.dengine.net/discussion/2761/net-dengine-stdlib-not-found-ubuntu

History

#1 - 2019-12-11 06:12 - skyjake

- Description updated

#2 - 2020-10-13 10:27 - skyjake
Don't check for "data" subdirectory; just attach App::nativeBasePath() to /data.

#3 - 2020-10-13 10:27 - skyjake

- Assignee changed from Deng Team to skyjake

#4 - 2020-12-08 08:26 - skyjake

- Target version changed from 2.3 to 2.3.x
